Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01465 Crash/Freeze Critical (emulator) Always Mar 7, 2008, 10:15 Mar 17, 2008, 00:19
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver vertigo.cpp
Version 0.123u4 Fixed in Version 0.123u6 Build Debug
Summary 01465: topgunnr: Crashes
Description -----------------------------------------------------
Exception at EIP=005D1E4B (vertigo_vproc+0x0474): ACCESS VIOLATION
While attempting to write memory at 00000000
-----------------------------------------------------
EAX=00000000 EBX=00000001 ECX=00000000 EDX=005D1E40
ESI=00000000 EDI=00000000 EBP=0022FCE8 ESP=0022FCC0
-----------------------------------------------------
Stack crawl:
exception-> 005D1E4B (vertigo_vproc+0x0474)
  0022FCEC: 01541449 (vrender0_get_info+0x0123)
  0022FD1C: 00D9EF0B (sndintrf_init_sound+0x0132)
  0022FD4C: 00D2DBF6 (sound_init+0x03f6)
  0022FDEC: 00D2D012 (mame_parse_ini_files+0x0914)
  0022FE1C: 00D2B3BF (mame_execute+0x01ff)
  0022FE7C: 00F5F1D3 (cli_execute+0x01e3)
  0022FEEC: 00CDB3BB (utf8_main+0x00ea)
  0022FF1C: 015A4909 (main+0x00e9)
  0022FF6C: 0040124B (__image_base__+0x124b)
  0022FFB4: 00401298 (mainCRTStartup+0x0018)

Tafoid: 0.123u5 Debug produces:

assert: src/emu/video.c:391: config->visarea.max_x < config->width
assert: src/emu/devintrf.c:504: device->token != NULL
Steps To Reproduce
Additional Information
Flags
Regression Version 0.123u4
Affected Sets / Systems topgunnr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.00171
zsoltvasvari
Developer
Mar 15, 2008, 14:28
Is this still an issue in U5? Cannot reproduce.
User avatar
No.00172
Tafoid
Administrator
Mar 15, 2008, 14:44
Note this is Top Gunner (vertigo.c) not Top Gunner (jackal.c). It still crashes for me on debug and non-debug of 0.123u5. Added message from debug build.
User avatar
No.00175
zsoltvasvari
Developer
Mar 15, 2008, 15:50
Ah ok, it's a duplicate of the other issue with the vector games.
User avatar
No.00186
Firewave
Senior Tester
Mar 16, 2008, 14:18
This was an issue in 0.123u4 before the other vector games had the assertions. Please assure it is working, after you fixed the assertions.
User avatar
No.00188
couriersud
Developer
Mar 16, 2008, 17:40
exidy440_sound_command had been changed from UINT8 to UINT8 *
and was now pointing to NULL / Nirwana land in vertigo.c.
I have submitted a fix for the crash. Assertions have been fixed by zsolt.
User avatar
No.00190
zsoltvasvari
Developer
Mar 17, 2008, 00:19
This now fixed by couriersud, marking it so.